unit Demodlg;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Format, ExtCtrls, FileCtrl, Gauges, About;

type
  Tform_Demo = class(TForm)
    button_Format: TBitBtn;
    button_Abort: TBitBtn;
    panel_StatusBar: TPanel;
    panel_Status: TPanel;
    panel_MakeBootable: TPanel;
    chkbox_MakeBootable: TCheckBox;
    Label2: TLabel;
    combo_LocationOfSystem: TComboBox;
    Label3: TLabel;
    edit_BootMessage: TEdit;
    panel_Progress: TPanel;
    gauge_Progress: TGauge;
    edit_NoSystemMessage: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    rg_MediaType: TRadioGroup;
    rg_FormatConditions: TRadioGroup;
    rg_Verify: TRadioGroup;
    edit_Volume: TEdit;
    Label1: TLabel;
    rg_Drive: TRadioGroup;
    edit_RetryBootMessage: TEdit;
    BitBtn1: TBitBtn;
    chkbox_ClearDisk: TCheckBox;
    Format1: TFormat;
    procedure button_FormatClick(Sender: TObject);
    procedure Format1Format(Sender: TObject);
    procedure button_AbortClick(Sender: TObject);
    procedure Format1Verify(Sender: TObject);
    procedure chkbox_VerifyClick(Sender: TObject);
    procedure edit_VolumeChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure rg_DriveClick(Sender: TObject);
    procedure rg_MediaTypeClick(Sender: TObject);
    procedure rg_FormatConditionsClick(Sender: TObject);
    procedure rg_VerifyClick(Sender: TObject);
    procedure chkbox_MakeBootableClick(Sender: TObject);
    procedure edit_NoSystemMessageChange(Sender: TObject);
    procedure edit_RetryBootMessageChange(Sender: TObject);
    procedure edit_BootMessageChange(Sender: TObject);
    procedure combo_LocationOfSystemChange(Sender: TObject);
    procedure chkbox_ClearDiskClick(Sender: TObject);
    procedure Format1BootWrite(Sender: TObject);
    procedure Format1FatWrite(Sender: TObject);
    procedure Format1RootWrite(Sender: TObject);
    procedure Format1SystemWrite(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);

  private
	AbortPressed : Boolean;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  form_Demo: Tform_Demo;

implementation

{$R *.DFM}

procedure Tform_Demo.button_FormatClick(Sender: TObject);
var Error : Integer;
begin
	AbortPressed := False;
	Format1.Run;
	panel_Status.Caption := ' ' + Format1.ErrorMessage;
	gauge_Progress.Progress := 0;
end;

procedure Tform_Demo.Format1Format(Sender: TObject);
begin
	gauge_Progress.Progress := Format1.Progress;
	panel_Status.Caption := ' ' + 'Formatting Track: ' + IntToStr(Format1.CurrentTrack) +
     '  Head: ' + IntToStr(Format1.CurrentHead);
	if AbortPressed = True then
   		Format1.Cancel := True;
end;

procedure Tform_Demo.Format1Verify(Sender: TObject);
begin
	gauge_Progress.Progress := Format1.Progress;
	panel_Status.Caption := ' ' + 'Verifying Track: ' + IntToStr(Format1.CurrentTrack) +
     '  Head: ' + IntToStr(Format1.CurrentHead);
	if AbortPressed = True then
		Format1.Cancel := True;
end;

procedure Tform_Demo.button_AbortClick(Sender: TObject);
begin
	AbortPressed := True;
end;

procedure Tform_Demo.chkbox_VerifyClick(Sender: TObject);
begin
    {	Format1.Verify := chkbox_Verify.Checked;}
end;

procedure Tform_Demo.FormCreate(Sender: TObject);
begin
	rg_Drive.ItemIndex := Ord(Format1.Drive);
	rg_MediaType.ItemIndex := Ord(Format1.MediaType);
	rg_FormatConditions.ItemIndex := Ord(Format1.FormatCondition);
	rg_Verify.ItemIndex := Ord(Format1.Verify);
	chkbox_ClearDisk.Checked := Format1.ClearDisk;
	chkbox_MakeBootable.Checked := Format1.MakeBootable;
	combo_LocationOfSystem.Enabled := Format1.MakeBootable;
	edit_BootMessage.Enabled := Format1.MakeBootable;

	edit_Volume.Text := Format1.Volume;
	edit_NoSystemMessage.Text := Format1.MsgNonBootable;
	edit_RetryBootMessage.Text := Format1.MsgRetryBoot;
	combo_LocationOfSystem.ItemIndex := Ord(Format1.SystemLocation);
	edit_BootMessage.Text := Format1.MsgBoot;

end;

procedure Tform_Demo.rg_DriveClick(Sender: TObject);
begin
	Format1.Drive := TDrive(TRadioGroup(Sender).ItemIndex);
end;

procedure Tform_Demo.rg_MediaTypeClick(Sender: TObject);
begin
	Format1.MediaType := TMediaType(TRadioGroup(Sender).ItemIndex);
end;

procedure Tform_Demo.rg_FormatConditionsClick(Sender: TObject);
begin
	Format1.FormatCondition := TFormatCondition(TRadioGroup(Sender).ItemIndex);
end;

procedure Tform_Demo.rg_VerifyClick(Sender: TObject);
begin
	Format1.Verify := TVerify(TRadioGroup(Sender).ItemIndex);
end;

procedure Tform_Demo.chkbox_MakeBootableClick(Sender: TObject);
begin
	Format1.MakeBootable := TCheckBox(Sender).Checked;
	combo_LocationOfSystem.Enabled := Format1.MakeBootable;
	edit_BootMessage.Enabled := Format1.MakeBootable;
end;

procedure Tform_Demo.edit_VolumeChange(Sender: TObject);
begin
	Format1.Volume := TEdit(Sender).Text;
end;

procedure Tform_Demo.edit_NoSystemMessageChange(Sender: TObject);
begin
	Format1.MsgNonBootable := TEdit(Sender).Text;
end;

procedure Tform_Demo.edit_RetryBootMessageChange(Sender: TObject);
begin
	Format1.MsgRetryBoot := TEdit(Sender).Text;
end;

procedure Tform_Demo.edit_BootMessageChange(Sender: TObject);
begin
	Format1.MsgBoot := TEdit(Sender).Text;
end;

procedure Tform_Demo.combo_LocationOfSystemChange(Sender: TObject);
begin
	Format1.SystemLocation := TSystemLocation(TComboBox(Sender).ItemIndex);
end;

procedure Tform_Demo.chkbox_ClearDiskClick(Sender: TObject);
begin
	Format1.ClearDisk := TCheckBox(Sender).Checked;
end;

procedure Tform_Demo.Format1BootWrite(Sender: TObject);
begin
	panel_Status.Caption := ' ' + 'Writting Boot';
end;

procedure Tform_Demo.Format1FatWrite(Sender: TObject);
begin
	panel_Status.Caption := ' ' + 'Writting Fat';
end;

procedure Tform_Demo.Format1RootWrite(Sender: TObject);
begin
	panel_Status.Caption := ' ' + 'Writting Root';
end;

procedure Tform_Demo.Format1SystemWrite(Sender: TObject);
begin
	panel_Status.Caption := ' ' + 'Writting System';
end;

procedure Tform_Demo.FormActivate(Sender: TObject);
begin
      AboutBox.ShowModal;
end;

procedure Tform_Demo.FormClose(Sender: TObject; var Action: TCloseAction);
begin
	AbortPressed := True;
end;

end.
